package com.liquidnet.service.consumer.dragon.service.receiver;

import com.liquidnet.service.dragon.constant.DragonConstant;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Slf4j
@Component
public class RedisPayReceiver extends AbstractRedisReceiver {

    @Override
    protected String getRedisStreamKey() {
        return DragonConstant.MysqlRedisQueueEnum.DRAGON_PAY_KEY.getCode();
    }

    @Override
    protected String getRedisStreamGroup() {
        return DragonConstant.MysqlRedisQueueEnum.DRAGON_PAY_GROUP.getCode();
    }
}
